Get a workflow schema
curl --request GET \
--url https://app.simpledocs.com/api/v1/workflows/{id}/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.simpledocs.com/api/v1/workflows/{id}/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.simpledocs.com/api/v1/workflows/{id}/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "Vendor Agreement",
"description": "<string>",
"required_fields": [
"workflow_id",
"requester_email",
"counterparty_name",
"counterparty_email",
"counterparty_organization_name"
],
"required_variables": [
"purpose"
],
"variables_properties": {}
}
Workflows
Get a workflow schema
Returns the schema for a workflow, including required fields, required variables, and variable properties. Use this to understand what parameters are needed when creating a request for this workflow.
Get a workflow schema
curl --request GET \
--url https://app.simpledocs.com/api/v1/workflows/{id}/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.simpledocs.com/api/v1/workflows/{id}/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.simpledocs.com/api/v1/workflows/{id}/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "Vendor Agreement",
"description": "<string>",
"required_fields": [
"workflow_id",
"requester_email",
"counterparty_name",
"counterparty_email",
"counterparty_organization_name"
],
"required_variables": [
"purpose"
],
"variables_properties": {}
}
Authorizations
Obtain a Bearer token via the Create access token endpoint using the OAuth2 client credentials flow.
Path Parameters
The resource's hash ID.
Example:
"0dbhXg"
Response
The workflow schema.
Describes the fields and variables required to create a request for this workflow.
Example:
"Vendor Agreement"
Top-level fields that must be provided when creating a request.
Example:
[ "workflow_id", "requester_email", "counterparty_name", "counterparty_email", "counterparty_organization_name" ]
Variable names that must be included in the variables JSON.
Example:
["purpose"]
A map of variable names to their type definitions, including whether they are required and any available options.
Show child attributes
Show child attributes